GDCM 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
gdcm::ImageToImageFilter Class Reference

ImageToImageFilter class Super class for all filter taking an image and producing an output image. More...

`#include <gdcmImageToImageFilter.h>`

Inheritance diagram for gdcm::ImageToImageFilter:
[legend]
Collaboration diagram for gdcm::ImageToImageFilter:
[legend]

List of all members.

## Public Member Functions

| ImageToImageFilter ()
| ~ImageToImageFilter ()
Image & | GetInput ()
const Image & | GetOutput () const
| Get Output image.

## Detailed Description

ImageToImageFilter class Super class for all filter taking an image and producing an output image.

## Constructor & Destructor Documentation

gdcm::ImageToImageFilter::ImageToImageFilter | ( |  | ) |

gdcm::ImageToImageFilter::~ImageToImageFilter | ( |  | ) | `[inline]`

## Member Function Documentation

Image& gdcm::ImageToImageFilter::GetInput | ( |  | ) |

Reimplemented from gdcm::PixmapToPixmapFilter.

const Image& gdcm::ImageToImageFilter::GetOutput | ( |  | ) | const

Get Output image.

Reimplemented from gdcm::PixmapToPixmapFilter.

Examples:
  CompressImage.cxx.

The documentation for this class was generated from the following file:

- gdcmImageToImageFilter.h